Groovy Documentation

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyType

    public interface GroovyType

Method Summary
`boolean` | `isPrimitive()` The qualified name of this type excluding any dimension information.
`java.lang.String` | `qualifiedTypeName()`
`java.lang.String` | `simpleTypeName()`
`java.lang.String` | `toString()`
`java.lang.String` | `typeName()`

Method Detail

### isPrimitive

    public boolean isPrimitive()

  The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

### simpleTypeName

    public java.lang.String simpleTypeName()

### toString

    public java.lang.String toString()

### typeName

    public java.lang.String typeName()

Groovy Documentation